QwtPickerDragRectMachine(3)

NAME
QwtPickerDragRectMachine -

A state machine for rectangle selections.

SYNOPSIS

#include <qwt_picker_machine.h>

Inherits QwtPickerMachine.

  Public Member Functions

virtual CommandList transition (const QwtEventPattern &, const QEvent *)

Detailed Description

A state machine for rectangle selections.

Pressing QwtEventPattern::MouseSelect1 selects the first point, releasing it the second point. Pressing QwtEventPattern::KeySelect1 also selects the first point, a second press selects the second point and terminates the selection.

See also:
    QwtEventPattern::MousePatternCode, QwtEventPattern::KeyPatternCode

Member Function Documentation

  QwtPickerMachine::CommandList QwtPickerDragRectMachine::transition (const QwtEventPattern & eventPattern, const QEvent * e) [virtual]

Transition.

Implements QwtPickerMachine.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.